Description

I'm attaching a patch to fix cloning issues in NamedObj.java:

// Since _debugListeners is null, _debugging should be
// false to avoid error message in _debug()

and AtomicActor.java:

/ When super.clone() is called below, attributes that are

// contained in this actor are also cloned, which includes

// calling methods on these attributes such as setContainer().
// These methods may add themselves to the firing listeners

// or initializables lists in the newObject clone, so we do

// not want to clear these lists in newObject after super.clone().
/ Instead, save this instance's lists here and restore them after
/I call super.clone().

History

#1 - 05/03/2016 12:24 PM - Christopher Brooks

The patch looks good, but I'm going on vacation tomorrow and don't want to break the tree. | return next Tuesday and can take a look then.

#2 - 05/03/2016 12:40 PM - Daniel Crawl
Sounds good. Thanks, Christopher.

#3 - 05/12/2016 01:24 PM - Christopher Brooks
- Assignee changed from Christopher Brooks to Daniel Craw/

- % Done changed from 0 to 90

I've patched the ptll tree. | successfully ran the tests in kernel and actor/test. I'm reassigning this to Dan so that he may close it.

#4 - 05/16/2016 10:34 AM - Daniel Crawl

- Status changed from New to Resolved

Thanks, Christopher.

Files

cloning-patch.txt 2.28 KB 05/03/2016 Daniel Crawl
